Status

()

RESOLVED INACTIVE
2 years ago
3 months ago

People

(Reporter: lgbrowser5, Unassigned, NeedInfo)

Tracking

52 Branch
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(7 attachments)

(Reporter)

Description

2 years ago
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; Trident/7.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E; InfoPath.3; NetHelper70; CNS_UA; GWX:MANAGED; AD_LOGON=4C47452E4E4554; rv:11.0) like Gecko

Steps to reproduce:

1. Platform Version (M): LV5 NOS(7.0)
2. Firefox version (M): Firefox 52.0
3. Reproducible on LG Ref. device (M) : LV1
4. Reproduce rate (M) : once in three devices
5. Issue Reported (M) : MTBF
6. Issue Description (Wrong behavior) (M) : crash
7. Expected behavior (M) : no crash
8. Steps to reproduce (M) : It's occured in automation test.
The test step is that open firefox, open homepage and exit firefox.
9. Screen Capture (M) : No
10. MORE INFORMATION (O):
2017-03-17 22:00:40 SYSTEM_TOMBSTONE (compressed text, 11535 bytes)
Build: lge/lv517n_att_us/lv517n:7.0/NRD90U/17076190532a1:user/release-keys
Hardware: msm8937_32
Revision: 0
Bootloader: unknown
Radio: unknown
Kernel: Linux version 3.18.31-perf-g9f8ed68-00002-ge5f6ec3 (lgmobile@LGEACI6R6) (gcc version 4.8 (GCC) ) #1 SMP PREEMPT Fri Mar 17 19:16:19 KST 2017

*** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
Build fingerprint: 'lge/lv517n_att_us/lv517n:7.0/NRD90U/17076190532a1:user/release-keys'
Revision: '0'
ABI: 'arm'
pid: 32645, tid: 32645, name: mozilla.firefox  >>> org.mozilla.firefox <<<
signal 11 (SIGSEGV), code 2 (SEGV_ACCERR), fault addr 0xb6d2268c
Abort message: 'PRODUCTION: Adjust is running in Production mode. Use this setting only for the build that you want to publish. Set the environment to `sandbox` if you want to test your app!'
    r0 00000000  r1 00007f85  r2 0000000b  r3 b6d2ec90
    r4 b6d2eb20  r5 b6d2eba0  r6 00007f85  r7 0000016b
    r8 b6d2eba0  r9 b6d2eb20  sl 00007f85  fp 0000000b
    ip b6d2eb08  sp b6d2eaf8  lr b6d31af5  pc b6d69b04  cpsr 200f0010
    d0  0000000000000000  d1  0000000000000000
    d2  0000000000000000  d3  0000000000000000
    d4  0000000000000000  d5  0000000000000000
    d6  0000000000000000  d7  0000000000000000
    d8  0000000000000000  d9  0000000000000000
    d10 0000000000000000  d11 0000000000000000
    d12 0000000000000000  d13 0000000000000000
    d14 0000000000000000  d15 0000000000000000
    d16 0000000000000000  d17 9b1d1ae410000000
    d18 000000000450f780  d19 0000000003e590b8
    d20 0000000000000000  d21 00000000c4100000
    d22 000000000000863d  d23 0000000000000000
    d24 0000000000000000  d25 0000000000000000
    d26 0000000000009951  d27 0000000000000000
    d28 00000000000000d0  d29 0000000000000000
    d30 0000000000000000  d31 0000000000000000
    scr 80000093

backtrace:
    #00 pc 0003ab04  /system/bin/linker (__dl_syscall+32)
    #01 pc 00002af1  /system/bin/linker (__dl__ZL24debuggerd_signal_handleriP7siginfoPv+596)
    #02 pc 00001f71  /system/bin/app_process32 (InvokeUserSignalHandler+156)
    #03 pc 001496e3  /system/lib/libart.so (_ZN3art12FaultManager11HandleFaultEiP7siginfoPv+222)
    #04 pc 0001bf0d  /system/app/Firefox/Firefox.apk (offset 0x1fcf000)

When it fixed, please share Engineering Report or Release info. for patches. 


Actual results:

crash


Expected results:

no crash
(Reporter)

Updated

2 years ago
Version: 51 Branch → 52 Branch
(Reporter)

Comment 1

2 years ago
Created attachment 8849382 [details]
SYSTEM_TOMBSTONE.txt
(Reporter)

Comment 2

2 years ago
Created attachment 8849383 [details]
SYSTEM_TOMBSTONE.txt
(Reporter)

Comment 3

2 years ago
Created attachment 8849384 [details]
SYSTEM_TOMBSTONE.txt
(Reporter)

Comment 4

2 years ago
Created attachment 8849386 [details]
main.log.08
(Reporter)

Comment 5

2 years ago
The logcat is not after ADB command:

adb shell am start -a android.intent.action.VIEW -d "https://mozilla.org" --es env0 MOZ_DEBUG_LINKER=1 org.mozilla.firefox/org.mozilla.gecko.BrowserApp

I request the crash IDs to testers (about:crashes) but no crashes.
(Reporter)

Comment 6

2 years ago
Any update?
(Reporter)

Comment 7

2 years ago
Created attachment 8855187 [details]
SYSTEM_TOMBSTONE.txt

It's reproduced again and attached system_tombston and main log.

2017-04-04 08:45:19 SYSTEM_TOMBSTONE (compressed text, 11579 bytes)
Build: lge/lv517n_att_us/lv517n:7.0/NRD90U/170931908b407:user/release-keys
Hardware: msm8937_32
Revision: 0
Bootloader: unknown
Radio: unknown
Kernel: Linux version 3.18.31-perf-gdaab7c4-00001-g90cd50e (lgmobile@LGEACI4R11) (gcc version 4.8 (GCC) ) #1 SMP PREEMPT Mon Apr 3 19:21:48 KST 2017

*** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
Build fingerprint: 'lge/lv517n_att_us/lv517n:7.0/NRD90U/170931908b407:user/release-keys'
Revision: '0'
ABI: 'arm'
pid: 10198, tid: 10198, name: mozilla.firefox  >>> org.mozilla.firefox <<<
signal 11 (SIGSEGV), code 2 (SEGV_ACCERR), fault addr 0xabe6a68c
Abort message: 'PRODUCTION: Adjust is running in Production mode. Use this setting only for the build that you want to publish. Set the environment to `sandbox` if you want to test your app!'
    r0 00000000  r1 000027d6  r2 0000000b  r3 abe76c90
    r4 abe76b20  r5 abe76ba0  r6 000027d6  r7 0000016b
    r8 abe76ba0  r9 abe76b20  sl 000027d6  fp 0000000b
    ip abe76b08  sp abe76af8  lr abe79af5  pc abeb1b04  cpsr 200f0010
    d0  0000000000000000  d1  0000000000000000
    d2  0000000000000000  d3  0000000000000000
    d4  0000000000000000  d5  0000000000000000
    d6  0000000000000000  d7  0000000000000000
    d8  0000000000000000  d9  0000000000000000
    d10 0000000000000000  d11 0000000000000000
    d12 0000000000000000  d13 0000000000000000
    d14 0000000000000000  d15 0000000000000000
    d16 0000000000000000  d17 003fe22210000000
    d18 00000000073f8a48  d19 000000000663db30
    d20 0000000000000000  d21 00000000c4100000
    d22 000000000000863d  d23 0000000000000000
    d24 0000000000000000  d25 0000000000000000
    d26 0000000000009951  d27 0000000000000000
    d28 00000000000000d0  d29 0000000000000000
    d30 0000000000000000  d31 0000000000000000
    scr 80000093

backtrace:
    #00 pc 0003ab04  /system/bin/linker (__dl_syscall+32)
    #01 pc 00002af1  /system/bin/linker (__dl__ZL24debuggerd_signal_handleriP7siginfoPv+596)
    #02 pc 00001f71  /system/bin/app_process32 (InvokeUserSignalHandler+156)
    #03 pc 001496e3  /system/lib/libart.so (_ZN3art12FaultManager11HandleFaultEiP7siginfoPv+222)
    #04 pc 0001bf0d  /system/app/Firefox/Firefox.apk (offset 0x1fd1000)

stack:
         abe76ab8  14000000  /dev/ashmem/dalvik-main space (deleted)
         abe76abc  abebe558  /system/bin/linker (__dl___restore)
         abe76ac0  abe76bc0  [stack:10198]
         abe76ac4  abec873b  /system/bin/linker
         abe76ac8  00000001
         abe76acc  003fe222
         abe76ad0  00000000
         abe76ad4  abe76ae4  [stack:10198]
         abe76ad8  0000003f
         abe76adc  abeb4245  /system/bin/linker (__dl_signal+44)
         abe76ae0  00000000
         abe76ae4  8d838e71  /system/app/Firefox/Firefox.apk
         abe76ae8  00000000
         abe76aec  4c000004
         abe76af0  abebe564  /system/bin/linker (__dl___restore_rt)
         abe76af4  003fe222
(Reporter)

Comment 8

2 years ago
Created attachment 8855188 [details]
main.log.07
(Reporter)

Comment 9

2 years ago
It's reproduced Firefox 53.

2017-04-24 03:05:56 SYSTEM_TOMBSTONE (compressed text, 11671 bytes)
Build: lge/lv517n_att_us/lv517n:7.0/NRD90U/1711410092d0c:user/release-keys
Hardware: msm8937_32
Revision: 0
Bootloader: unknown
Radio: unknown
Kernel: Linux version 3.18.31-perf-g17d5f39 (lgmobile@LGEACI5R1) (gcc version 4.8 (GCC) ) #1 SMP PREEMPT Mon Apr 24 10:21:22 KST 2017

*** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
Build fingerprint: 'lge/lv517n_att_us/lv517n:7.0/NRD90U/1711410092d0c:user/release-keys'
Revision: '0'
ABI: 'arm'
pid: 30102, tid: 30102, name: mozilla.firefox  >>> org.mozilla.firefox <<<
signal 11 (SIGSEGV), code 2 (SEGV_ACCERR), fault addr 0xb0f6d68c
Abort message: 'PRODUCTION: Adjust is running in Production mode. Use this setting only for the build that you want to publish. Set the environment to `sandbox` if you want to test your app!'
    r0 00000000  r1 00007596  r2 0000000b  r3 b0f79c90
    r4 b0f79b20  r5 b0f79ba0  r6 00007596  r7 0000016b
    r8 b0f79ba0  r9 b0f79b20  sl 00007596  fp 0000000b
    ip b0f79b08  sp b0f79af8  lr b0f7caf5  pc b0fb4b04  cpsr 200f0010
    d0  0000000000000000  d1  0000000000000000
    d2  0000000000000000  d3  0000000000000000
    d4  0000000000000000  d5  0000000000000000
    d6  0000000000000000  d7  0000000000000000
    d8  0000000000000000  d9  0000000000000000
    d10 0000000000000000  d11 0000000000000000
    d12 0000000000000000  d13 0000000000000000
    d14 0000000000000000  d15 0000000000000000
    d16 0000000000000000  d17 0c70d7c910000000
    d18 0000000004341898  d19 0000000003d10150
    d20 0000000000000000  d21 00000000c4100000
    d22 000000000000863d  d23 0000000000000000
    d24 0000000000000000  d25 0000000000000000
    d26 0000000000009951  d27 0000000000000000
    d28 00000000000000d0  d29 0000000000000000
    d30 0000000000000000  d31 0000000000000000
    scr 80000093

backtrace:
    #00 pc 0003ab04  /system/bin/linker (__dl_syscall+32)
    #01 pc 00002af1  /system/bin/linker (__dl__ZL24debuggerd_signal_handleriP7siginfoPv+596)
    #02 pc 00001f71  /system/bin/app_process32 (InvokeUserSignalHandler+156)
    #03 pc 001496e3  /system/lib/libart.so (_ZN3art12FaultManager11HandleFaultEiP7siginfoPv+222)
    #04 pc 0001bfbd  /system/app/Firefox/Firefox.apk (offset 0x2441000)

stack:
         b0f79ab8  14000000  /dev/ashmem/dalvik-main space (deleted)
         b0f79abc  b0fc1558  /system/bin/linker (__dl___restore)
         b0f79ac0  b0f79bc0  [stack:30102]
         b0f79ac4  b0fcb73b  /system/bin/linker
         b0f79ac8  00000001
         b0f79acc  0c70d7c9
         b0f79ad0  00000000
         b0f79ad4  b0f79ae4  [stack:30102]
         b0f79ad8  0000003f
         b0f79adc  b0fb7245  /system/bin/linker (__dl_signal+44)
         b0f79ae0  00000000
         b0f79ae4  92aecf21  /system/app/Firefox/Firefox.apk
         b0f79ae8  00000000
         b0f79aec  4c000004
         b0f79af0  b0fc1564  /system/bin/linker (__dl___restore_rt)
         b0f79af4  0c70d7c9
    #00  b0f79af8  b0f79c90  [stack:30102]
         b0f79afc  b0f79c90  [stack:30102]
         b0f79b00  00000002
         b0f79b04  0000003f
    #01  b0f79b08  b0f79c90  [stack:30102]
         b0f79b0c  b0f79b20  [stack:30102]
         b0f79b10  b0f79ba0  [stack:30102]
         b0f79b14  00007596
         b0f79b18  b0f79bc0  [stack:30102]
         b0f79b1c  b0f79c90  [stack:30102]
         b0f79b20  00000000
         b0f79b24  00007596
         b0f79b28  ad320000
         b0f79b2c  00000000
         b0f79b30  00000002
         b0f79b34  00000000
         b0f79b38  00000000
         b0f79b3c  00000000
         b0f79b40  00000000
         b0f79b44  00000000
         ........  ........
    #02  b0f79bf8  00000000
         b0f79bfc  00001204
         b0f79c00  0c70d7c9
         b0f79c04  b0f79d10  [stack:30102]
         b0f79c08  b0f79c90  [stack:30102]
         b0f79c0c  0000000b
         b0f79c10  ae17d550  /system/lib/libart.so
         b0f79c14  b0f79d10  [stack:30102]
         b0f79c18  b0fdb1d0
         b0f79c1c  00000001
         b0f79c20  b0ae88e8  [anon:linker_alloc]
         b0f79c24  ade5e6e7  /system/lib/libart.so (_ZN3art12FaultManager11HandleFaultEiP7siginfoPv+226)
    #03  b0f79c28  00000000
         b0f79c2c  00000000
         b0f79c30  00000000
         b0f79c34  00000000
         b0f79c38  00000000
         b0f79c3c  00000000
         b0f79c40  00000000
         b0f79c44  00000000
         b0f79c48  0c70d7c9
         b0f79c4c  b0f79c90  [stack:30102]
         b0f79c50  b0f79c70  [stack:30102]
         b0f79c54  0000000b
         b0f79c58  bebe4778
         b0f79c5c  b0f79d10  [stack:30102]
         b0f79c60  b0fdb1d0
         b0f79c64  00000001
         ........  ........
    #04  b0f79c70  00000000
         b0f79c74  00000000
         b0f79c78  a7845010  [anon:linker_alloc]
         b0f79c7c  b0f6d550  [anon:linker_alloc]
         b0f79c80  bebe4734
         b0f79c84  bebe4778
         b0f79c88  00000000
         b0f79c8c  bef70791  [sigpage]
         b0f79c90  0000000b
         b0f79c94  00000000
         b0f79c98  00000002
         b0f79c9c  b0f6d68c  [anon:linker_alloc]
         b0f79ca0  00000000
         b0f79ca4  00000000
         b0f79ca8  00000000
         b0f79cac  00000000
(Reporter)

Comment 10

2 years ago
Created attachment 8861287 [details]
SYSTEM_TOMBSTONE.txt
Flags: needinfo?(snorp)
The Android-generated stacks are not very useful to use because our native code doesn't have any symbol names. We resolve those with our own crash-handling system. Can you get the "/data/data/org.mozilla.firefox/files/mozilla/Crash Reports" directory from an affected device?
Flags: needinfo?(snorp) → needinfo?(lgbrowser5)
(Reporter)

Comment 12

2 years ago
If I'll share the Crash Reports if I receive it from a tester.
Thanks.
Flags: needinfo?(lgbrowser5)
(Reporter)

Comment 13

2 years ago
The file does not exist in "/data/data/org.mozilla.firefox/files/mozilla/Crash Reports" directory on a crashed device.
Thus, permission denied and can not be accessed with adb command as below:
C:\Users\Administrator>adb shell cd /data/data/org.mozilla.firefox/files/mozilla
/system/bin/sh: cd: /data/data/org.mozilla.firefox/files/mozilla: Permission denied

There is no crash repors when entered about:crashed on a crashed device.

Is a crash report generated when force a crash occurs? Plase confirm it.
Thanks.
Hi Snorp
I think he need a root device for that log? Sorry I don't familiar with crash report. Maybe you can teach me as well?

Hi lgbrowser5
Friendly reminder, you can use "Need more information" check box so the person can get an email notification.
Flags: needinfo?(snorp)
Flags: needinfo?(lgbrowser5)
If about:crashes shows nothing, it means the internal crash reporter was not triggered. Looking at the logs again, it appears the crash happened too early during startup for us to catch it that way.

Eugen, do we have any fixes in 54/55 that would help this?
Flags: needinfo?(snorp) → needinfo?(esawin)
Oops, Eugen is on vacation for a while. Mike can you glean anything from these logs re: linker startup crash?

I guess it would be useful to run with linker debugging turned on. lgbrowser5, do you have the ability to start Firefox with a custom intent? If so, could you start with an intent extra 'env0' set to 'MOZ_DEBUG_LINKER=1' (no quotes)?
Flags: needinfo?(mh+mozilla)
According to main.log, libxul.so is loaded, so our crash reporter should be triggered, except if:
- somehow it's not registered properly (we've had problems here in the past, where changes in system libraries broke our registration)
- it's not built in (it's not clear to whether this is a Firefox build straight out of Play) or if it's disabled somehow.

About the crash itself:

signal 11 (SIGSEGV), code 2 (SEGV_ACCERR), fault addr 0xb6d2268c
(...)
    ip b6d2eb08  sp b6d2eaf8  lr b6d31af5  pc b6d69b04  cpsr 200f0010

The fault address is close enough from the stack pointer that this smells like a stack overflow.

Unfortunately, all the SYSTEM_TOMBSTONE.txt files attached are truncated before showing the address map for the involved addresses, so there's no telling what's there according to OS.
Flags: needinfo?(mh+mozilla)
This is a normal Firefox build, so crash reporter should not be disabled.
We've fixed a low-volume startup crash in 55 (bug 1346042) which might be relevant. We would need to uplift bug 1358241 and bug 1361903, too, if we want the fix in 54.
Flags: needinfo?(esawin)
> We've fixed a low-volume startup crash in 55 (bug 1346042) which might be relevant. We would need to uplift bug 1358241 and bug 1361903, too, if we want the fix in 54.

Do you see any reason not to take these fixes? I would think we would want to uplift any potential crash fixes.
I've requested uplift for bug 1346042, but based on the crash stack, this might be a different issue after all.
Closing per https://bugzilla.mozilla.org/show_bug.cgi?id=1473195

Contact :susheel if you think this bug should be re-opened
Status: UNCONFIRMED → RESOLVED
Last Resolved: 3 months ago
Resolution: --- → INACTIVE
You need to log in before you can comment on or make changes to this bug.